Skip to main content
POST
Set Scope And Excluded Entitlements

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

access_review_template_id
string
required

The ID of the user-first access review template to configure.

Body

application/json

AccessReviewSetTemplateScopeAndExcludedEntitlementsRequest replaces a user-first template's scope and excluded entitlements. To mark the excluded entitlements as the active exclusion type, scope must set excluded_specific_resources.

excludedEntitlements
Access Review Excluded Entitlement Input · object[] | null

The entitlements to exclude from scope. Replaces all previously excluded entitlements.

scope
Access Review Scope V 2 · object | null

The AccessReviewScopeV2 message.

This message contains a oneof named apps_and_resources_scope. Only a single field of the following list may be set at a time:

  • appAccess
  • specificResources
  • appSelectionCriteria
  • resourceTypeSelections

This message contains a oneof named users_scope. Only a single field of the following list may be set at a time:

  • allUsers
  • selectedUsers
  • userCriteria
  • celExpression

This message contains a oneof named accounts_scope. Only a single field of the following list may be set at a time:

  • allAccounts
  • accountCriteria
  • accountCelExpression

This message contains a oneof named grants_scope. Only a single field of the following list may be set at a time:

  • allGrants
  • grantsByCriteria

This message contains a oneof named access_conflicts_scope. Only a single field of the following list may be set at a time:

  • allAccessConflicts
  • specificAccessConflicts

This message contains a oneof named resource_scope. Only a single field of the following list may be set at a time:

  • resourceSelection

This message contains a oneof named excluded_apps_and_resources_scope. Only a single field of the following list may be set at a time:

  • excludedSpecificResources
  • excludedResourceTypeSelections
  • excludedAppSelectionCriteria

This message contains a oneof named access_profiles_scope. Only a single field of the following list may be set at a time:

  • specificAccessProfiles

Response

200 - application/json

AccessReviewSetTemplateScopeAndExcludedEntitlementsResponse contains the resulting excluded entitlements and scope.

AccessReviewSetTemplateScopeAndExcludedEntitlementsResponse contains the resulting excluded entitlements and scope.

excludedEntitlements
Access Review Template Excluded Entitlement · object[] | null

The current entitlements excluded from scope.

scope
Access Review Scope V 2 · object | null

The AccessReviewScopeV2 message.

This message contains a oneof named apps_and_resources_scope. Only a single field of the following list may be set at a time:

  • appAccess
  • specificResources
  • appSelectionCriteria
  • resourceTypeSelections

This message contains a oneof named users_scope. Only a single field of the following list may be set at a time:

  • allUsers
  • selectedUsers
  • userCriteria
  • celExpression

This message contains a oneof named accounts_scope. Only a single field of the following list may be set at a time:

  • allAccounts
  • accountCriteria
  • accountCelExpression

This message contains a oneof named grants_scope. Only a single field of the following list may be set at a time:

  • allGrants
  • grantsByCriteria

This message contains a oneof named access_conflicts_scope. Only a single field of the following list may be set at a time:

  • allAccessConflicts
  • specificAccessConflicts

This message contains a oneof named resource_scope. Only a single field of the following list may be set at a time:

  • resourceSelection

This message contains a oneof named excluded_apps_and_resources_scope. Only a single field of the following list may be set at a time:

  • excludedSpecificResources
  • excludedResourceTypeSelections
  • excludedAppSelectionCriteria

This message contains a oneof named access_profiles_scope. Only a single field of the following list may be set at a time:

  • specificAccessProfiles